Docs
Sites APIInventory

List floor plans

Primary and ungrouped floor plans across the website's properties. Default order: `order`, then `name`. Sort keys: `order`, `name`, `beds`, `rent`, `sqft`. Tags: `inventory:{property_id}` per property on the page. When a rent filter is used, anything whose price the property's display settings would hide is left out of the results, so a filter can never reveal a hidden price.

GET/api/sites/v1/floor-plans

Primary and ungrouped floor plans across the website's properties. Default order: order, then name. Sort keys: order, name, beds, rent, sqft. Tags: inventory:{property_id} per property on the page. When a rent filter is used, anything whose price the property's display settings would hide is left out of the results, so a filter can never reveal a hidden price.

Authorization

websiteToken
AuthorizationBearer <token>

A Sanctum token scoped to one website.

In: header

Query Parameters

property?string

A property slug on this website. Unknown slug is a 404, not an empty list.

group?string

Group id. Cascades to descendants.

q?string

Name contains.

beds?string

Bedroom counts, comma-separated.

baths?string

Bathroom counts, comma-separated.

sqft?

sqft[gte]=700. Operators: gte, lte, gt, lt.

min_rent?number

Starting rent at or above.

max_rent?number

Starting rent at or below.

featured?boolean
available?boolean

Has (true) or lacks (false) an available unit in its group.

available_by?string

Has a unit available on or before this date.

Formatdate
include?string

units to embed each plan's units (at most 100 per plan).

sort?string

Sort key, - prefix for descending, comma-separated for several. Allowed keys are listed per endpoint.

page?integer
Range1 <= value
Default1
per_page?integer
Range1 <= value <= 200
Default50

Header Parameters

X-Resi-Website?string

Website id. Overrides Host resolution for builds running where Host is meaningless. The token must still be scoped to this website.

If-None-Match?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/sites/v1/floor-plans"
{  "data": [    {      "id": "string",      "slug": "string",      "path": "string",      "name": "string",      "marketing_name": "string",      "code": "string",      "description": "string",      "unit_type": {        "slug": "string",        "name": "string"      },      "bedrooms": 0,      "bathrooms": 0,      "bedrooms_max": 0,      "bathrooms_max": 0,      "sqft": {        "min": 0,        "max": 0      },      "rent": {        "min": 0,        "max": 0,        "base_min": 0,        "base_max": 0      },      "fees": {        "lines": [          {}        ],        "monthly_total": 0,        "monthly_total_max": 0,        "upfront_total": 0      },      "deposit": {        "min": 0,        "max": 0      },      "available_on": "string",      "availability": {        "available_now": 0,        "coming_soon": 0      },      "has_specials": true,      "is_featured": true,      "sort_order": 0,      "tags": [        "string"      ],      "image_2d": {        "id": "string",        "url": "string",        "thumb_url": "string",        "title": "string",        "caption": "string",        "alt_text": "string",        "tags": [          "string"        ]      },      "image_3d": {        "id": "string",        "url": "string",        "thumb_url": "string",        "title": "string",        "caption": "string",        "alt_text": "string",        "tags": [          "string"        ]      },      "pdf_url": "string",      "pdfs": [        {          "id": "string",          "url": "string",          "title": "string"        }      ],      "images": [        {          "id": "string",          "url": "string",          "thumb_url": "string",          "title": "string",          "caption": "string",          "alt_text": "string",          "tags": [            "string"          ]        }      ],      "videos": [        {          "id": "string",          "provider": "string",          "url": "string",          "title": "string",          "settings": {},          "tags": [            "string"          ],          "image": {            "id": "string",            "url": "string",            "thumb_url": "string",            "title": "string",            "caption": "string",            "alt_text": "string",            "tags": [              "string"            ]          }        }      ],      "virtual_tours": [        {          "id": "string",          "provider": "string",          "url": "string",          "title": "string",          "settings": {},          "tags": [            "string"          ],          "image": {            "id": "string",            "url": "string",            "thumb_url": "string",            "title": "string",            "caption": "string",            "alt_text": "string",            "tags": [              "string"            ]          }        }      ],      "buildings": [        {          "id": "string",          "number": "string",          "code": "string",          "name": "string"        }      ],      "groups": [        {          "id": "string",          "label": "string",          "slug": "string",          "set": {            "id": "string",            "key": "string",            "name": "string",            "object_type": "string"          }        }      ],      "inherited_groups": [        {          "id": "string",          "label": "string",          "slug": "string",          "set": {            "id": "string",            "key": "string",            "name": "string",            "object_type": "string"          },          "via": "property"        }      ],      "property": {        "id": "string",        "slug": "string",        "name": "string"      },      "units": [        {          "id": "string",          "slug": "string",          "path": "string",          "number": "string",          "floor": "string",          "bedrooms": 0,          "bathrooms": 0,          "sqft": {            "interior": 0,            "exterior": 0          },          "description": "string",          "view_direction": "string",          "is_available": true,          "available_on": "string",          "rent": {            "min": 0,            "max": 0,            "base_min": 0,            "base_max": 0          },          "fees": {            "lines": [              {}            ],            "monthly_total": 0,            "monthly_total_max": 0,            "upfront_total": 0          },          "deposit": 0,          "specials": "string",          "flags": {            "featured": true,            "accessible": true,            "furnished": true,            "affordable": true,            "model": true,            "guest_suite": true,            "penthouse": true          },          "links": {            "tour": "string",            "quote": "string",            "application": "string"          },          "sightmap_unit_id": "string",          "tags": [            "string"          ],          "pdf_url": "string",          "pdfs": [            {              "id": "string",              "url": "string",              "title": "string"            }          ],          "images": [            {              "id": "string",              "url": "string",              "thumb_url": "string",              "title": "string",              "caption": "string",              "alt_text": "string",              "tags": [                "string"              ]            }          ],          "videos": [            {              "id": "string",              "provider": "string",              "url": "string",              "title": "string",              "settings": {},              "tags": [                "string"              ],              "image": {                "id": "string",                "url": "string",                "thumb_url": "string",                "title": "string",                "caption": "string",                "alt_text": "string",                "tags": [                  "string"                ]              }            }          ],          "virtual_tours": [            {              "id": "string",              "provider": "string",              "url": "string",              "title": "string",              "settings": {},              "tags": [                "string"              ],              "image": {                "id": "string",                "url": "string",                "thumb_url": "string",                "title": "string",                "caption": "string",                "alt_text": "string",                "tags": [                  "string"                ]              }            }          ],          "amenities": [            {              "id": "string",              "name": "string",              "code": "string",              "description": "string",              "type": "string",              "is_marketable": true,              "tags": [                "string"              ],              "images": [                {                  "id": "string",                  "url": "string",                  "thumb_url": "string",                  "title": "string",                  "caption": "string",                  "alt_text": "string",                  "tags": [                    "string"                  ]                }              ],              "videos": [                {                  "id": "string",                  "provider": "string",                  "url": "string",                  "title": "string",                  "settings": {},                  "tags": [                    "string"                  ],                  "image": {                    "id": "string",                    "url": "string",                    "thumb_url": "string",                    "title": "string",                    "caption": "string",                    "alt_text": "string",                    "tags": [                      "string"                    ]                  }                }              ],              "virtual_tours": [                {                  "id": "string",                  "provider": "string",                  "url": "string",                  "title": "string",                  "settings": {},                  "tags": [                    "string"                  ],                  "image": {                    "id": "string",                    "url": "string",                    "thumb_url": "string",                    "title": "string",                    "caption": "string",                    "alt_text": "string",                    "tags": [                      "string"                    ]                  }                }              ]            }          ],          "building": {            "id": "string",            "number": "string",            "code": "string",            "name": "string"          },          "floor_plan": {            "id": "string",            "slug": "string",            "name": "string",            "path": "string",            "unit_type": {              "slug": "string",              "name": "string"            },            "image_2d": {              "id": "string",              "url": "string",              "thumb_url": "string",              "title": "string",              "caption": "string",              "alt_text": "string",              "tags": [                "string"              ]            },            "image_3d": {              "id": "string",              "url": "string",              "thumb_url": "string",              "title": "string",              "caption": "string",              "alt_text": "string",              "tags": [                "string"              ]            }          },          "groups": [            {              "id": "string",              "label": "string",              "slug": "string",              "set": {                "id": "string",                "key": "string",                "name": "string",                "object_type": "string"              }            }          ],          "inherited_groups": [            {              "id": "string",              "label": "string",              "slug": "string",              "set": {                "id": "string",                "key": "string",                "name": "string",                "object_type": "string"              },              "via": "property"            }          ],          "property": {            "id": "string",            "slug": "string",            "name": "string"          }        }      ]    }  ],  "meta": {    "includes": [      "string"    ],    "pagination": {      "total": 0,      "page": 0,      "per_page": 0,      "last_page": 0    },    "cache": {      "tags": [        "string"      ],      "ttl": 0    }  }}